Qt 5.7 | Qt 3D | C++ Classes | QPointSize

Qt 5.7.1 Reference Documentation

# QPointSize Class

(Qt3DRender::QPointSize)

Specifies the size of rasterized points. May either be set statically or by shader programs. More...

Header: | #include <QPointSize>
qmake: | QT += 3drender
Instantiated By: | PointSize
Inherits: | QRenderState

- List of all members, including inherited members

## Public Types

enum | SizeMode { Fixed, Programmable }

## Properties

- sizeMode : SizeMode
- value : float

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QPointSize(Qt3DCore::QNode *parent = nullptr)
SizeMode | sizeMode() const
float | value() const

- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setSizeMode(SizeMode sizeMode)
void | setValue(float value)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | sizeModeChanged(SizeMode sizeMode)
void | valueChanged(float value)

- 3 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

Specifies the size of rasterized points. May either be set statically or by shader programs.

When the sizeMode property is set to SizeMode::Fixed, the value is set using glPointSize(), if available. When using SizeMode::Programmable, gl_PointSize must be set within shader programs, the value provided to this RenderState is ignored in that case.

## Member Type Documentation

### enum QPointSize::SizeMode

## Property Documentation

### sizeMode : SizeMode

Access functions:

SizeMode | sizeMode() const
void | setSizeMode(SizeMode sizeMode)

Notifier signal:

void | sizeModeChanged(SizeMode sizeMode)

### value : float

Access functions:

float | value() const
void | setValue(float value)

Notifier signal:

void | valueChanged(float value)

## Member Function Documentation

### QPointSize::QPointSize(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QPointSize.